Subject: Re: [PATCH net-next 3/8] cadence: macb: Add page pool support handle multi-descriptor frame rx

From: Paolo Valerio <[email-masked]>
Date: Tue, 27 Jan 2026 00:34:52 +0100

On 26 Jan 2026 at 03:29:46 PM, Andrew Lunn <[email-masked]> wrote:

>> > I was more interested in plain networking, not XDP. Does it perform
>> > better with page pool? You at least need to show it is not worse, you
>> > need to avoid performance regressions.
>> >
>> 
>> I retested with iperf3. The target has a single rx queue with iperf3
>> running with no cpu affinity set.
>> 
>> |              |  64 | 128 |
>> | baseline     | 273 | 545 |
>> | pp (page)    | 273 | 544 |
>> | pp (2 frags) | 272 | 544 |
>
> So no real difference. That is unusual, it is typically faster, or if
> it is always doing line rate, it uses less CPU time. That might
> suggest the page pool integration is not optimal?
>

Thanks Andrew,

I can't tell, but the same numbers were a little surprising to me as well.
I'll spend some more time on this on my hw.